require 'telegram/bot'
require 'pry'
require 'action_controller'

require 'concerns/configurable'

require 'configuration/configurators/i18n_configurator'
require 'configuration/configurators/db_configurator'
require 'configuration/configurators/bot_configurator'
require 'configuration/configurators/app_configurator'

require 'action_bot/runner'
require 'action_bot/base'
require 'action_bot/controller'

require 'active_record'
require 'active_support'
require 'action_pack'
require 'action_controller'

Dir["#{Dir.pwd}/controllers/bots_controller.rb", "#{Dir.pwd}/controllers/**/*.rb", "#{Dir.pwd}/models/**/*.rb", "#{Dir.pwd}/config/configuration.rb", "#{Dir.pwd}/bots/**/*.rb"].each { |file| require file }
